%define module blessings

Name:           python-%{module}
Version:        1.7
Release:        %mkrel 9
Summary:        Python library for terminal coloring, styling, and positioning
Group:          Development/Python
License:        MIT
URL:            https://github.com/erikrose/blessings
Source0:        https://pypi.io/packages/source/b/blessings/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
Blessings is a thin, practical wrapper around terminal coloring, styling, and
positioning in Python.

%package -n python3-%{module}
Summary:        Python 3 library for terminal coloring, styling, and positioning
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{module}
Blessings is a thin, practical wrapper around terminal coloring, styling, and
positioning in Python 3.

%prep
%autosetup -p1 -n %{module}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.rst LICENSE
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}*.egg-info


%changelog
* Sun Mar 02 2025 wally <wally> 1.7-9.mga10
+ Revision: 2156827
- rebuild for python3.13

* Wed Jan 10 2024 papoteur <papoteur> 1.7-8.mga10
+ Revision: 2029541
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.7-7.mga9
+ Revision: 1823038
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 1.7-6.mga9
+ Revision: 1779168
- Rebuild for python 3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 1.7-5.mga9
+ Revision: 1716791
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.7-4.mga8
+ Revision: 1532708
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 1.7-3.mga8
+ Revision: 1442782
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 1.7-2.mga7
+ Revision: 1351209
- Rebuild for python3 3.7

* Wed Dec 12 2018 akien <akien> 1.7-1.mga7
+ Revision: 1340500
- Version 1.7

* Thu Sep 20 2018 umeabot <umeabot> 1.6.1-2.mga7
+ Revision: 1288356
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 1.6.1-1.mga7
+ Revision: 1229460
- Version 1.6.1

* Sat Aug 05 2017 pterjan <pterjan> 1.6-4.mga7
+ Revision: 1135324
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.6-3.mga6
+ Revision: 970799
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.6-2.mga6
+ Revision: 888414
- Rebuild for new python3 (3.5.x)

* Mon Jun 22 2015 akien <akien> 1.6-1.mga6
+ Revision: 839539
- imported package python-blessings

